Author Topic: Trouble installing C::B 16.01 on Ubuntu 15.10 (unsatisfiable dependencies)  (Read 14318 times)

Offline tool46and2

  • Single posting newcomer
  • *
  • Posts: 9
  • Kill me... please.
    • DON'T GO HERE!!!
There is no way to install the debian .deb files in ubuntu 15.10.

The debian 32 bit binary release of codeblocks 16 comes with a bunch of .deb files.

You have to install the included libcodeblocks0_16.01_i386.deb file first because the other six .deb files depend on it, but it depends on libwxbase3.0.2.
I apparently only have libwxbase3.0 installed.

So I googled around and I found this page:

http://codelite.org/LiteEditor/WxWidgets30Binaries#toc2

Which I followed, and I did manage to install libwxbase3.0.2, but the dependency is still unmet when I try to install the .deb.

Building from source turned out to be a huge waste of time, it took forever on my old machine, and when I finally finished installing codeblocks it would not launch.

It complained about libcodeblocks0.so being missing, or something similar to that.

Help me. I'd rather not build from source again if it can be avoided.
« Last Edit: January 29, 2016, 07:56:56 am by tool46and2 »
DAAAAAAAAAAAAAAAYYYYYYYUUUUUUMMMMMM!!!!!

Offline MortenMacFly

  • Administrator
  • Lives here!
  • *****
  • Posts: 9695
There is no way to install the debian .deb files in ubuntu 15.10.
Please wait, Ubuntu packages are in the making... For Linux distros we don't have them at hand all at the same time. Its not as easy as with Windows you know...
Compiler logging: Settings->Compiler & Debugger->tab "Other"->Compiler logging="Full command line"
C::B Manual: https://www.codeblocks.org/docs/main_codeblocks_en.html
C::B FAQ: https://wiki.codeblocks.org/index.php?title=FAQ

Offline tool46and2

  • Single posting newcomer
  • *
  • Posts: 9
  • Kill me... please.
    • DON'T GO HERE!!!
Oh, all right then. There really is no hurry. I just wanted to try out the new version.
I don't have any issues with C::B 13.12, anyway.

Any idea on how long it will take?
A few days, a week, certainly not longer than a month, right?

I don't know how long these things usually take.
DAAAAAAAAAAAAAAAYYYYYYYUUUUUUMMMMMM!!!!!

Offline MortenMacFly

  • Administrator
  • Lives here!
  • *****
  • Posts: 9695
Any idea on how long it will take?
A few days, a week, certainly not longer than a month, right?
Only a few days, hopefully. In fact, if I would know how to do the packaging I could do it myself. But one of the Linux Pro's (devs) has already mentioned he'll produce one. Hopefully on weekend becasue its a working days you know...
Compiler logging: Settings->Compiler & Debugger->tab "Other"->Compiler logging="Full command line"
C::B Manual: https://www.codeblocks.org/docs/main_codeblocks_en.html
C::B FAQ: https://wiki.codeblocks.org/index.php?title=FAQ

reminisc3

  • Guest
I can confirm the dependency issues on Ubuntu 15.10. Tried installing the .deb and had the same issue. Eager to install the new version, because I had some issues with 13.12 on Ubuntu 15.10.

I installed and tested 16 today at work on Windows and it's excellent so far.

Thanks DEVS for all your hard work!

Offline MortenMacFly

  • Administrator
  • Lives here!
  • *****
  • Posts: 9695
We have a first Ubuntu release on the server which might work for you... Please provide feedback...

More to come.
Compiler logging: Settings->Compiler & Debugger->tab "Other"->Compiler logging="Full command line"
C::B Manual: https://www.codeblocks.org/docs/main_codeblocks_en.html
C::B FAQ: https://wiki.codeblocks.org/index.php?title=FAQ

Offline tool46and2

  • Single posting newcomer
  • *
  • Posts: 9
  • Kill me... please.
    • DON'T GO HERE!!!
Oh, but is there going to be a Ubuntu x86 only release?
My linux machine is 32 bit only because it's really old.
That's why it's running linux.


DAAAAAAAAAAAAAAAYYYYYYYUUUUUUMMMMMM!!!!!

Offline MortenMacFly

  • Administrator
  • Lives here!
  • *****
  • Posts: 9695
My linux machine is 32 bit only because it's really old.
More to come.
Patience is a virgin... ;-)
Compiler logging: Settings->Compiler & Debugger->tab "Other"->Compiler logging="Full command line"
C::B Manual: https://www.codeblocks.org/docs/main_codeblocks_en.html
C::B FAQ: https://wiki.codeblocks.org/index.php?title=FAQ

Offline camilocc

  • Multiple posting newcomer
  • *
  • Posts: 23
    • ca2 Software Development
I had almost the same issues posted in the start of this topic but for 64 bit version of Ubuntu 15.10.

And with the trusty version of the recent 64 Ubuntu build of Code::Blocks, Ubuntu 15.10 fails with some error about ABI incompatiblity in "wxcontainers?".

Offline camilocc

  • Multiple posting newcomer
  • *
  • Posts: 23
    • ca2 Software Development
I tried to run Code::Blocks 16.01 at Ubuntu 15.10 (64bit).

Unpacked codeblocks-16.01-amd64-trusty.tar.xz (Ubuntu 14.04/14.10)

Installed libcodeblocks0_16.01_amd64.deb, codeblocks-common_16.01_all.deb and codeblocks_16.01_amd64.deb, in this order.

There were only pre-installation warning about "non-official" sources. Installation run fine.

When I run codeblocks command from Terminal, the following error message is shown and program doesn't come up:

Fatal Error: Mismatch between the program and library build versions detected.
The library used 2.8 (no debug,Unicode,compiler with C++ ABI 1009,wx containers,compatible with 2.6),
and your program used 2.8 (no debug,Unicode,compiler with C++ ABI 1002,wx containers,compatible with 2.6).
Aborted (core dumped)

There will be a Ubuntu wily (15.04, 15.10) version?

Or workaround for using this trusty target package?

Offline MortenMacFly

  • Administrator
  • Lives here!
  • *****
  • Posts: 9695
Fatal Error: Mismatch between the program and library build versions detected.
obfuscated??? Any idea?
Compiler logging: Settings->Compiler & Debugger->tab "Other"->Compiler logging="Full command line"
C::B Manual: https://www.codeblocks.org/docs/main_codeblocks_en.html
C::B FAQ: https://wiki.codeblocks.org/index.php?title=FAQ

Offline MortenMacFly

  • Administrator
  • Lives here!
  • *****
  • Posts: 9695
...can you try this PPA and provide feedback, please?

https://code.launchpad.net/~damien-moore/+archive/ubuntu/codeblocks-stable
Compiler logging: Settings->Compiler & Debugger->tab "Other"->Compiler logging="Full command line"
C::B Manual: https://www.codeblocks.org/docs/main_codeblocks_en.html
C::B FAQ: https://wiki.codeblocks.org/index.php?title=FAQ

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 13434
    • Travis build status
Fatal Error: Mismatch between the program and library build versions detected.
obfuscated??? Any idea?
Different compilers used for codeblocks and wxgtk most probably. wxGTK is build with newer compiler than codeblocks.
The ppa is the way to install cb anyway.
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

Offline MortenMacFly

  • Administrator
  • Lives here!
  • *****
  • Posts: 9695
There will be a Ubuntu wily (15.04, 15.10) version?
Please use this PPA:

https://code.launchpad.net/~damien-moore/+archive/ubuntu/codeblocks-stable

...and report back if it is working for you. Thank you!
Compiler logging: Settings->Compiler & Debugger->tab "Other"->Compiler logging="Full command line"
C::B Manual: https://www.codeblocks.org/docs/main_codeblocks_en.html
C::B FAQ: https://wiki.codeblocks.org/index.php?title=FAQ

Offline linuser42

  • Multiple posting newcomer
  • *
  • Posts: 10
Please use this PPA:

https://code.launchpad.net/~damien-moore/+archive/ubuntu/codeblocks-stable

...and report back if it is working for you. Thank you!

I'm using that ppa and everything works (Ubuntu 15.10).